Subject: bug#76559: 31.0.50; [-O3 + PGTK] Crash when 'copying as kill'/'killing word'

From: Paul Eggert <[email-masked]>
Date: Sat, 1 Mar 2025 18:14:45 -0800

On 2025-03-01 05:43, Po Lu wrote:
> I surmise that it doesn't fix the underlying compiler issue if you add
> __attribute__ ((force_inline)) to kbd_buffer_store_buffered_event, as it
> is a product of an assumption by GCC's SRA pass that no two accesses of
> a single local aggregate declaration with the same offset and size but
> of different types alias.

I don't see why that assumption would cause GCC to generate the wrong 
code here, as no single thread of execution would have two such accesses.